- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_env.h File Reference

Axis2 environment that acts as a container for error, log and memory allocator routines. More...

`#include <axutil_allocator.h>`
`#include <axutil_error.h>`
`#include <axutil_log.h>`
`#include <axutil_thread_pool.h>`

Go to the source code of this file.

## Classes
struct | axutil_env
| Axis2 Environment struct. More...
## Defines
#define | AXIS_ENV_FREE_LOG 0x1
#define | AXIS_ENV_FREE_ERROR 0x2
#define | AXIS_ENV_FREE_THREADPOOL 0x4
#define | AXIS2_ENV_CHECK(env, error_return)
## Typedefs
typedef struct axutil_env | axutil_env_t
| Axis2 Environment struct.
## Functions
AXIS2_EXTERN axutil_env_t * | axutil_env_create (axutil_allocator_t *allocator)
AXIS2_EXTERN axutil_env_t * | axutil_env_create_all (const axis2_char_t *log_file, const axutil_log_levels_t log_level)
AXIS2_EXTERN axutil_env_t * | axutil_env_create_with_error (axutil_allocator_t *allocator, axutil_error_t *error)
AXIS2_EXTERN axutil_env_t * | axutil_env_create_with_error_log (axutil_allocator_t *allocator, axutil_error_t *error, axutil_log_t *log)
AXIS2_EXTERN axutil_env_t * | axutil_env_create_with_error_log_thread_pool (axutil_allocator_t *allocator, axutil_error_t *error, axutil_log_t *log, axutil_thread_pool_t *pool)
AXIS2_EXTERN axis2_status_t | axutil_env_enable_log (axutil_env_t *env, axis2_bool_t enable)
AXIS2_EXTERN axis2_status_t | axutil_env_check_status (const axutil_env_t *env)
AXIS2_EXTERN void | axutil_env_free (axutil_env_t *env)
AXIS2_EXTERN void | axutil_env_free_masked (axutil_env_t *env, char mask)
AXIS2_EXTERN axis2_status_t | axutil_env_increment_ref (axutil_env_t *env)

## Detailed Description

Axis2 environment that acts as a container for error, log and memory allocator routines.